Skip to main content
POST
/
v3
/
checkout
/
{id}
/
expire
Expire Checkout
curl --request POST \
  --url https://service-sandbox.tazapay.com/v3/checkout/{id}/expire \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://service-sandbox.tazapay.com/v3/checkout/{id}/expire"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://service-sandbox.tazapay.com/v3/checkout/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "checkout session updated successfully",
  "data": {
    "id": "chk_cirsp2sl4ar024j0akj0",
    "object": "checkout",
    "invoice_currency": "USD",
    "amount": 100000,
    "amount_paid": 0,
    "customer_details": {
      "country": "SG",
      "email": "andrea@example.com",
      "name": "Andrea Lark",
      "phone": {
        "calling_code": "65",
        "number": "87654321"
      }
    },
    "customer": "cus_afobaifawnf",
    "billing_details": {
      "address": {
        "city": "Singapore",
        "country": "SG",
        "line1": "1st Street",
        "line2": "2nd Avenue",
        "postal_code": "43004",
        "state": "Singapore"
      },
      "label": "Home",
      "name": "Andrea Lark",
      "phone": {
        "calling_code": "65",
        "number": "87654321"
      }
    },
    "shipping_details": {
      "address": {
        "city": "Singapore",
        "country": "SG",
        "line1": "1st Street",
        "line2": "2nd Avenue",
        "postal_code": "43004",
        "state": "Singapore"
      },
      "label": "Home",
      "name": "Andrea Lark",
      "phone": {
        "calling_code": "65",
        "number": "87654321"
      }
    },
    "success_url": "https://mystore.com/success_page",
    "cancel_url": "https://mystore.com/try_again",
    "webhook_url": "https://mystore.com/internal/webhook",
    "payment_methods": [
      "paynow_sgd",
      "card"
    ],
    "transaction_description": "1 x trousers",
    "expires_at": "2023-07-21T14:01:04.576356Z",
    "created_at": "2023-07-19T11:44:11.722049185Z",
    "url": "https://checkout.tazapay.com/transaction=ajfuibfainfaonfa",
    "payment_status": "unpaid",
    "payment_status_description": null,
    "status": "expired",
    "payin": "chk_cirsp2sl4ar024j0akj0",
    "payment_attempts": [],
    "latest_payment_attempt": "",
    "partially_paid": false,
    "paid_in_excess": false,
    "transaction_documents": [],
    "reference_id": "mystore_order_00001",
    "metadata": {
      "key1": "value1",
      "key2": "value2",
      "key3": "value3"
    }
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the checkout session to expire

Response

200 - application/json

200

status
string

Indicates the status of the API response.

message
string

Describes the result of the checkout session creation.

data
object

Contains all details related to a checkout session.